Description

Support Anfrage

hier noch eine Anfrage bezüglich ADTF 2.12.1

"Konkret geht es um folgendes.

Wir geben dem DAT-Exporter ein DBC-File für die Konvertierung in das MDF4-Format bei.

In dem DBC-File ist sowohl die binäre Kodierung der Signale als auch eine Umrechnung enthalten:
Die markierten Zahlen bedeuten folgendes:

1. Multiplikator für Rohwert

2. Offset nach Multiplikation

3. Wertebereich

Die Berechnung erfolgt wie folgt : Unit_KiloMeterPerHour = (Rohwert * 0.01 ) + 0

Besteht die Möglichkeit dieser Umrechnung durch den DAT-Exporter, da diese Information im DBC-File enthalten sind?

Gibt es eine ADTF-Version, in der das umgesetzt wurde?"

Oder muss sich der Kunde einen eigenen Exporter schreiben, der seine Umrechnungen durchführt?

Lösung

Nein das wird mit dem DAT Exporter so nicht gehen.

Beim MDF4 Export wird der Rohdatenstrom vom DAT nach MDF4 umformatiert.

Hierbei wird aber an den Rohdaten keine "Berechnung" oder Formel angewendet.

Dies ist beim DAT Exporter so auch nicht vorgesehen.

History

#1 - 2018-10-19 13:56 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Datexporter

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.12.1 added

#2 - 2018-10-19 15:22 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

kurze Antwort: Nein das wird mit dem DAT Exporter so nicht gehen.

Laut Fachkollege:

Beim MDF4 Export wird der Rohdatenstrom vom DAT nach MDF4 umformatiert. Hierbei wird aber an den Rohdaten keine "Berechnung" oder Formel
angewendet.

Dies ist beim DAT Exporter so auch nicht vorgesehen.

Eine Anwendug deiner Formel bzw. Berechnung der Signalwerte wird in ADTF nur zur Anzeige der Signalwerte angewendet.

Daher auch die Frage ob dies für den Export wirklich nötig ist?

Gruß

Matthias

#3 - 2018-10-22 10:45 - hidden

Hallo Matthias,

vielen Dank für die Info. Ich habe das für den DAT Exporter auch fast vermutet. Ich werde dem Kunden vorschlagen, dass wenn er Umrechnungen

vornehmen möchte er sich einen eigenen Exporter schreiben kann.

Best regards,

Anja Winkler

#4 - 2018-10-23 10:25 - hidden

- Subject changed from EBPRODUCTSUPPORT-1675 Technical request: MDF4 Export to EBPRODUCTSUPPORT-1675 Technical request: MDF4

Export with recalculation

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Platform Windows 7 64bit added

Ticket kann geschlossen werden

#5 - 2018-11-06 09:30 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-1675 Technical request: MDF4 Export with recalculation to EBPRODUCTSUPPORT-1675 MDF4

Export with recalculation

- Description updated

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
